package com.jz.dmp.modules.controller.projconfig.bean;

import java.util.Date;
import com.jz.common.bean.BasePageBean;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**公共配置表参数请求封装
 * @author ybz
 *
 */
@ApiModel(value = "公共配置表参数请求封装", description = "公共配置表参数请求封装")
public class DmpPublicConfigInfoRequest extends BasePageBean {
	/**
	* 主键
	*/
	@ApiModelProperty(value = "主键")
	private Integer publicConfigId;

	/**
	* 是否启动kerberos(单选按钮)(0：不启用，1，启用)
	*/
	@ApiModelProperty(value = "是否启动kerberos(单选按钮)(0：不启用，1，启用)")
	private String kerberosIsenable;

	/**
	* jaas默认Client名称
	*/
	@ApiModelProperty(value = "jaas默认Client名称")
	private String kerberosJaasClientName;

	/**
	* krb5地址
	*/
	@ApiModelProperty(value = "krb5地址")
	private String kerberosKrb5Conf;

	/**
	* jaas地址
	*/
	@ApiModelProperty(value = "jaas地址")
	private String kerberosJaasConf;

	/**
	* FQDN
	*/
	@ApiModelProperty(value = "FQDN")
	private String kerberosFqdn;

	/**
	* keytab地址
	*/
	@ApiModelProperty(value = "keytab地址")
	private String kerberosKeytabConf;

	/**
	* keytab用户
	*/
	@ApiModelProperty(value = "keytab用户")
	private String kerberosKeytabUser;

	/**
	* spark专用jaas
	*/
	@ApiModelProperty(value = "spark专用jaas")
	private String kerberosSparkJaasConf;

	/**
	* 提交 XML默认defaultFS
	*/
	@ApiModelProperty(value = "提交 XML默认defaultFS")
	private String hdfsHttpPath;

	/**
	* 提交XML到HDFS路径
	*/
	@ApiModelProperty(value = "提交XML到HDFS路径")
	private String hdfsSyncingPath;

	/**
	* Hadoop 用户名
	*/
	@ApiModelProperty(value = "Hadoop 用户名")
	private String hdfsUserName;

	/**
	* Kafka connector url
	*/
	@ApiModelProperty(value = "Kafka connector url")
	private String kafkaConectorUrl;

	/**
	* schema register url
	*/
	@ApiModelProperty(value = "schema register url")
	private String kafkaSchemaRegisterUrl;

	/**
	* kafka bootstarp servers
	*/
	@ApiModelProperty(value = "kafka bootstarp servers")
	private String kafkaBootstrapServers;

	/**
	* 执行shell任务命令
	*/
	@ApiModelProperty(value = "执行shell任务命令")
	private String azkabanExectorShellExec;

	/**
	* 执行impala sql任务命令
	*/
	@ApiModelProperty(value = "执行impala sql任务命令")
	private String azkabanExectorSqlExec;

	/**
	* 执行数据同步任务命令
	*/
	@ApiModelProperty(value = "执行数据同步任务命令")
	private String azkabanExectorXmlExec;

	/**
	* 调度执行sql路径
	*/
	@ApiModelProperty(value = "调度执行sql路径")
	private String azkabanExectorSqlPath;

	/**
	* 调度执行shell路径
	*/
	@ApiModelProperty(value = "调度执行shell路径")
	private String azkabanExectorShellPath;

	/**
	* task配置文件路径
	*/
	@ApiModelProperty(value = "task配置文件路径")
	private String azkabanLocalTaskFilePath;

	/**
	* 执行数据导出任务命令的shell路径
	*/
	@ApiModelProperty(value = "执行数据导出任务命令的shell路径")
	private String azkabanExectorShellExportData;

	/**
	* 调度web服务地址
	*/
	@ApiModelProperty(value = "调度web服务地址")
	private String azkabanMonitorUrl;

	/**
	* 元数据服务web地址
	*/
	@ApiModelProperty(value = "元数据服务web地址")
	private String atlasMonitorUrl;
	
	/**
	* 远程连接默认SERVER地址
	*/
	@ApiModelProperty(value = "远程连接默认SERVER地址")
	private String shellCmdServer;

	/**
	* 远程连接默认用户
	*/
	@ApiModelProperty(value = "远程连接默认用户")
	private String shellCmdUser;

	/**
	* 远程连接默认用户密码
	*/
	@ApiModelProperty(value = "远程连接默认用户密码")
	private String shellCmdPassword;

	/**
	* 上传配置的SFTP端口
	*/
	@ApiModelProperty(value = "上传配置的SFTP端口")
	private Integer shellSftpPort;

	/**
	* 备注
	*/
	@ApiModelProperty(value = "备注")
	private String remark;

	/**
	* 数据状态(0：删除，1，未删除)
	*/
	@ApiModelProperty(value = "数据状态(0：删除，1，未删除)")
	private String dataStatus;

	/**
	* 创建用户ID
	*/
	@ApiModelProperty(value = "创建用户ID")
	private Integer createUserId;

	/**
	* 创建时间起
	*/
	@ApiModelProperty(value = "创建时间起")
	private Date createTimeStart;

	/**
	* 创建时间止
	*/
	@ApiModelProperty(value = "创建时间止")
	private Date createTimeEnd;

	/**
	* 修改用户ID
	*/
	@ApiModelProperty(value = "修改用户ID")
	private Integer updateUserId;

	/**
	* 修改时间起
	*/
	@ApiModelProperty(value = "修改时间起")
	private Date updateTimeStart;

	/**
	* 修改时间止
	*/
	@ApiModelProperty(value = "修改时间止")
	private Date updateTimeEnd;

	public Integer getPublicConfigId() {
		return publicConfigId;
	}

	public void setPublicConfigId(Integer publicConfigId) {
		this.publicConfigId = publicConfigId;
	}

	public String getKerberosIsenable() {
		return kerberosIsenable;
	}

	public void setKerberosIsenable(String kerberosIsenable) {
		this.kerberosIsenable = kerberosIsenable;
	}

	public String getKerberosJaasClientName() {
		return kerberosJaasClientName;
	}

	public void setKerberosJaasClientName(String kerberosJaasClientName) {
		this.kerberosJaasClientName = kerberosJaasClientName;
	}

	public String getKerberosKrb5Conf() {
		return kerberosKrb5Conf;
	}

	public void setKerberosKrb5Conf(String kerberosKrb5Conf) {
		this.kerberosKrb5Conf = kerberosKrb5Conf;
	}

	public String getKerberosJaasConf() {
		return kerberosJaasConf;
	}

	public void setKerberosJaasConf(String kerberosJaasConf) {
		this.kerberosJaasConf = kerberosJaasConf;
	}

	public String getKerberosFqdn() {
		return kerberosFqdn;
	}

	public void setKerberosFqdn(String kerberosFqdn) {
		this.kerberosFqdn = kerberosFqdn;
	}

	public String getKerberosKeytabConf() {
		return kerberosKeytabConf;
	}

	public void setKerberosKeytabConf(String kerberosKeytabConf) {
		this.kerberosKeytabConf = kerberosKeytabConf;
	}

	public String getKerberosKeytabUser() {
		return kerberosKeytabUser;
	}

	public void setKerberosKeytabUser(String kerberosKeytabUser) {
		this.kerberosKeytabUser = kerberosKeytabUser;
	}

	public String getKerberosSparkJaasConf() {
		return kerberosSparkJaasConf;
	}

	public void setKerberosSparkJaasConf(String kerberosSparkJaasConf) {
		this.kerberosSparkJaasConf = kerberosSparkJaasConf;
	}

	public String getHdfsHttpPath() {
		return hdfsHttpPath;
	}

	public void setHdfsHttpPath(String hdfsHttpPath) {
		this.hdfsHttpPath = hdfsHttpPath;
	}

	public String getHdfsSyncingPath() {
		return hdfsSyncingPath;
	}

	public void setHdfsSyncingPath(String hdfsSyncingPath) {
		this.hdfsSyncingPath = hdfsSyncingPath;
	}

	public String getHdfsUserName() {
		return hdfsUserName;
	}

	public void setHdfsUserName(String hdfsUserName) {
		this.hdfsUserName = hdfsUserName;
	}

	public String getKafkaConectorUrl() {
		return kafkaConectorUrl;
	}

	public void setKafkaConectorUrl(String kafkaConectorUrl) {
		this.kafkaConectorUrl = kafkaConectorUrl;
	}

	public String getKafkaSchemaRegisterUrl() {
		return kafkaSchemaRegisterUrl;
	}

	public void setKafkaSchemaRegisterUrl(String kafkaSchemaRegisterUrl) {
		this.kafkaSchemaRegisterUrl = kafkaSchemaRegisterUrl;
	}

	public String getKafkaBootstrapServers() {
		return kafkaBootstrapServers;
	}

	public void setKafkaBootstrapServers(String kafkaBootstrapServers) {
		this.kafkaBootstrapServers = kafkaBootstrapServers;
	}

	public String getAzkabanExectorShellExec() {
		return azkabanExectorShellExec;
	}

	public void setAzkabanExectorShellExec(String azkabanExectorShellExec) {
		this.azkabanExectorShellExec = azkabanExectorShellExec;
	}

	public String getAzkabanExectorSqlExec() {
		return azkabanExectorSqlExec;
	}

	public void setAzkabanExectorSqlExec(String azkabanExectorSqlExec) {
		this.azkabanExectorSqlExec = azkabanExectorSqlExec;
	}

	public String getAzkabanExectorXmlExec() {
		return azkabanExectorXmlExec;
	}

	public void setAzkabanExectorXmlExec(String azkabanExectorXmlExec) {
		this.azkabanExectorXmlExec = azkabanExectorXmlExec;
	}

	public String getAzkabanExectorSqlPath() {
		return azkabanExectorSqlPath;
	}

	public void setAzkabanExectorSqlPath(String azkabanExectorSqlPath) {
		this.azkabanExectorSqlPath = azkabanExectorSqlPath;
	}

	public String getAzkabanExectorShellPath() {
		return azkabanExectorShellPath;
	}

	public void setAzkabanExectorShellPath(String azkabanExectorShellPath) {
		this.azkabanExectorShellPath = azkabanExectorShellPath;
	}

	public String getAzkabanLocalTaskFilePath() {
		return azkabanLocalTaskFilePath;
	}

	public void setAzkabanLocalTaskFilePath(String azkabanLocalTaskFilePath) {
		this.azkabanLocalTaskFilePath = azkabanLocalTaskFilePath;
	}

	public String getAzkabanExectorShellExportData() {
		return azkabanExectorShellExportData;
	}

	public void setAzkabanExectorShellExportData(String azkabanExectorShellExportData) {
		this.azkabanExectorShellExportData = azkabanExectorShellExportData;
	}

	public String getAzkabanMonitorUrl() {
		return azkabanMonitorUrl;
	}

	public void setAzkabanMonitorUrl(String azkabanMonitorUrl) {
		this.azkabanMonitorUrl = azkabanMonitorUrl;
	}

	public String getAtlasMonitorUrl() {
		return atlasMonitorUrl;
	}

	public void setAtlasMonitorUrl(String atlasMonitorUrl) {
		this.atlasMonitorUrl = atlasMonitorUrl;
	}
	
	public void setShellCmdServer(String shellCmdServer) {
		this.shellCmdServer = shellCmdServer;
	}

	public String getShellCmdUser() {
		return shellCmdUser;
	}

	public void setShellCmdUser(String shellCmdUser) {
		this.shellCmdUser = shellCmdUser;
	}

	public String getShellCmdPassword() {
		return shellCmdPassword;
	}

	public void setShellCmdPassword(String shellCmdPassword) {
		this.shellCmdPassword = shellCmdPassword;
	}

	public Integer getShellSftpPort() {
		return shellSftpPort;
	}

	public void setShellSftpPort(Integer shellSftpPort) {
		this.shellSftpPort = shellSftpPort;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public String getDataStatus() {
		return dataStatus;
	}

	public void setDataStatus(String dataStatus) {
		this.dataStatus = dataStatus;
	}

	public Integer getCreateUserId() {
		return createUserId;
	}

	public void setCreateUserId(Integer createUserId) {
		this.createUserId = createUserId;
	}

	public Date getCreateTimeStart() {
		return createTimeStart;
	}

	public void setCreateTimeStart(Date createTimeStart) {
		this.createTimeStart = createTimeStart;
	}

	public Date getCreateTimeEnd() {
		return createTimeEnd;
	}

	public void setCreateTimeEnd(Date createTimeEnd) {
		this.createTimeEnd = createTimeEnd;
	}

	public Integer getUpdateUserId() {
		return updateUserId;
	}

	public void setUpdateUserId(Integer updateUserId) {
		this.updateUserId = updateUserId;
	}

	public Date getUpdateTimeStart() {
		return updateTimeStart;
	}

	public void setUpdateTimeStart(Date updateTimeStart) {
		this.updateTimeStart = updateTimeStart;
	}

	public Date getUpdateTimeEnd() {
		return updateTimeEnd;
	}

	public void setUpdateTimeEnd(Date updateTimeEnd) {
		this.updateTimeEnd = updateTimeEnd;
	}
}
